# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TStructTypeEntry

Packages that use TStructTypeEntry
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TStructTypeEntry in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TStructTypeEntry
Modifier and Type
Class
Description
`class`
`TStructTypeEntry`
`class`
`TStructTypeEntry`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TStructTypeEntry
Modifier and Type
Method
Description
`TStructTypeEntry`
TStructTypeEntry.`deepCopy()`
`TStructTypeEntry`
TTypeEntry.`getStructEntry()`
`TStructTypeEntry`
TStructTypeEntry.`setNameToTypePtr(Map<String,Integer> nameToTypePtr)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TStructTypeEntry
Modifier and Type
Method
Description
`int`
TStructTypeEntry.`compareTo(TStructTypeEntry other)`
`boolean`
TStructTypeEntry.`equals(TStructTypeEntry that)`
`void`
TTypeEntry.`setStructEntry(TStructTypeEntry value)`
`static TTypeEntry`
TTypeEntry.`structEntry(TStructTypeEntry value)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TStructTypeEntry
Modifier
Constructor
Description
``
`TStructTypeEntry(TStructTypeEntry other)`
Performs a deep copy on other.